/*!
 * Bootstrap Nav Paginator 1.0.2
 * Author: Robin Prugne
 */

/**
 * @summary     Bootstrap Nav Paginator
 * @description Pagination module for Bootstrap's nav component
 * @version     1.0.2
 * @file        bootstrap-nav-paginator.jquery.min.js
 * @author      Robin Prugne
 *
 * This source file is free software, available under the following license:
 *      MIT license
 */

let navs=[],pages_index=[],n_items_per_pages=[],selectors=[];function initialize(t,a){if(navs[a]=t,void 0===$(navs[a]).attr("data-paginator-item-count"))throw"Bootstrap Nav Paginator Error: attribute 'item count' is missing.";if(!($(navs[a]).attr("data-paginator-item-count")>0))throw"Bootstrap Nav Paginator Error: attribute 'item count' must be a positive number.";n_items_per_pages[a]=$(navs[a]).attr("data-paginator-item-count"),pages_index[a]=get_page_from_item(a,"ul"===t.get(0).tagName.toLowerCase()?t.find(".active").parent():t.find(".active"))}function add_buttons(t){$(navs[t]).prepend('\n            <li class="nav-item">\n                <a class="btn nav-paginator-prev" href="#">\n                    <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="angle-double-left" class="svg-inline--fa fa-angle-double-left fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" style="height: 18px;">\n                        <path fill="currentColor" d="M223.7 239l136-136c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9L319.9 256l96.4 96.4c9.4 9.4 9.4 24.6 0 33.9L393.7 409c-9.4 9.4-24.6 9.4-33.9 0l-136-136c-9.5-9.4-9.5-24.6-.1-34zm-192 34l136 136c9.4 9.4 24.6 9.4 33.9 0l22.6-22.6c9.4-9.4 9.4-24.6 0-33.9L127.9 256l96.4-96.4c9.4-9.4 9.4-24.6 0-33.9L201.7 103c-9.4-9.4-24.6-9.4-33.9 0l-136 136c-9.5 9.4-9.5 24.6-.1 34z"></path>\n                    </svg>\n                </a>\n            </li>\n        '),$(navs[t]).append('\n            <li class="nav-item">\n                <a class="btn nav-paginator-next" href="#">\n                     <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="angle-double-right" class="svg-inline--fa fa-angle-double-right fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" style="height: 18px;">\n                        <path fill="currentColor" d="M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34zm192-34l-136-136c-9.4-9.4-24.6-9.4-33.9 0l-22.6 22.6c-9.4 9.4-9.4 24.6 0 33.9l96.4 96.4-96.4 96.4c-9.4 9.4-9.4 24.6 0 33.9l22.6 22.6c9.4 9.4 24.6 9.4 33.9 0l136-136c9.4-9.2 9.4-24.4 0-33.8z"></path>\n                    </svg>\n                </a>\n            </li>\n        '),selectors[t]=[],selectors[t].prev=$(navs[t]).children().first().children().first(),selectors[t].next=$(navs[t]).children().last().children().first(),void 0!==$(navs[t]).attr("data-paginator-buttons-class")&&$(navs[t]).attr("data-paginator-buttons-class").length>0&&$(navs[t]).attr("data-paginator-buttons-class").split(" ").forEach(function(a){$(selectors[t].prev).addClass(a),$(selectors[t].next).addClass(a)})}function update_view(t){let a=$(navs[t]).children().not(":first").not(":last");a.each(function(a,e){a<n_items_per_pages[t]*pages_index[t]&&a>=n_items_per_pages[t]*(pages_index[t]-1)?$(e).show():$(e).hide()}),1===pages_index[t]?$(selectors[t].prev).addClass("disabled"):$(selectors[t].prev).removeClass("disabled"),a.length<=n_items_per_pages[t]*pages_index[t]?$(selectors[t].next).addClass("disabled"):$(selectors[t].next).removeClass("disabled")}function events(t){$(selectors[t].next).on("click",function(){pages_index[t]++,update_view(t)}),$(selectors[t].prev).on("click",function(){pages_index[t]--,update_view(t)})}function get_page_from_item(t,a){let e=navs[t].children().index(a);return parseInt(e/n_items_per_pages[t])+1}$(document).ready(function(){$(".nav-paginator").each(function(t,a){initialize(a,t),add_buttons(t),update_view(t),events(t)})}),$.fn.BsNavPaginator=function(t,a=""){let e=navs.length;this.attr("data-paginator-item-count",t),this.attr("data-paginator-buttons-class",a),initialize(this,e),add_buttons(e),update_view(e),events(e)};